## basic

basic — a few typedefs used everywhere

## Stability Level

Stable, unless otherwise indicated

## Functions

int | (*VipsCallbackFn) ()
void * | (*VipsSListMap2Fn) ()
void * | (*VipsSListMap4Fn) ()
void * | (*VipsSListFold2Fn) ()
char * | vips_path_filename7 ()
char * | vips_path_mode7 ()

## Types and Values

typedef | VipsPel
enum | VipsPrecision

## Includes

    #include <vips/vips.h>

## Description

A few simple typedefs used by VIPS.

## Functions

### VipsCallbackFn ()

    int
    (*VipsCallbackFn) (void *a,
                       void *b);

### VipsSListMap2Fn ()

    void *
    (*VipsSListMap2Fn) (void *item,
                        void *a,
                        void *b);

### VipsSListMap4Fn ()

    void *
    (*VipsSListMap4Fn) (void *item,
                        void *a,
                        void *b,
                        void *c,
                        void *d);

### VipsSListFold2Fn ()

    void *
    (*VipsSListFold2Fn) (void *item,
                         void *a,
                         void *b,
                         void *c);

### vips_path_filename7 ()

    char *
    vips_path_filename7 (const char *path);

Return the filename part of a vips7 path. For testing only.

#### Parameters

path | path to split |

### vips_path_mode7 ()

    char *
    vips_path_mode7 (const char *path);

Return the mode part of a vips7 path. For testing only.

#### Parameters

path | path to split |

## Types and Values

### VipsPel

    typedef unsigned char VipsPel;

A picture element. Cast this to whatever the associated VipsBandFormat says to get the value.

### enum VipsPrecision

How accurate an operation should be.

#### Members

VIPS_PRECISION_INTEGER | int everywhere |
VIPS_PRECISION_FLOAT | float everywhere |
VIPS_PRECISION_APPROXIMATE | approximate integer output |
VIPS_PRECISION_LAST |  |